View Issue Details

IDProjectCategoryView StatusLast Update
03645Bug reportsSurvey takingpublic2009-09-15 12:30
Reporterjelo Assigned Tojcleeland  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Product Version1.85+ 
Fixed in Version1.85+ 
Summary03645: Ranking question show popup when $showpopups = 0;
Description

Config contains $showpopups = 0;

When using a ranking question with e.g. minimum answer the error message
(when not choosing enough items) is shown as popup.

TagsNo tags attached.
Complete LimeSurvey version number (& build)7561
I will donate to the project if issue is resolved
BrowserFirefox
Database & DB-VersionMySQL 5.0.81
Server OS (if known)CENTOS 4.8 i686
Webserver software & version (if known)Apache 1.3.41
PHP Version5.2.10

Relationships

related to 02999 closedc_schmitz Development  Suppress mandatory & validation popups 

Activities

user372

2009-09-04 22:00

  ~09387

I can reproduce the issue with the attached survey.

2009-09-04 22:00

 

limesurvey_survey_56114.csv (4,342 bytes)   
# LimeSurvey Survey Dump
# DBVersion 138
# This is a dumped survey from the LimeSurvey Script
# http://www.limesurvey.org/
# Do not change this header!

#
# SURVEYS TABLE
#
"sid","owner_id","admin","active","expires","startdate","adminemail","private","faxto","format","template","language","additional_languages","datestamp","usecookie","notification","allowregister","allowsave","autonumber_start","autoredirect","allowprev","printanswers","ipaddr","refurl","datecreated","publicstatistics","publicgraphs","listpublic","htmlemail","tokenanswerspersistence","assessments","usecaptcha","usetokens","bounce_email","attributedescriptions"
"56114","1","Mag. Josef Prandstetter","Y","","","josef.prandstetter@limesurvey.org","Y","","G","default","de","","N","N","0","N","Y","0","N","Y","N","N","N","2009-09-04","N","N","N","Y","N","N","D","N","josef.prandstetter@limesurvey.org",""

#
# GROUPS TABLE
#
"gid","sid","group_name","group_order","description","language"
"475","56114","G1","0","","de"

#
# QUESTIONS TABLE
#
"qid","sid","gid","type","title","question","preg","help","other","mandatory","lid","lid1","question_order","language"
"2791","56114","475","R","Q1","Please choose!<br />","","","N","Y","0","0","0","de"
"2792","56114","475","Y","Q2","Do you like watching TV?<br />","","","N","Y","0","0","1","de"

#
# ANSWERS TABLE
#
"qid","code","answer","default_value","assessment_value","sortorder","language"
"2791","1","red","N","0","1","de"
"2791","2","green","N","0","2","de"
"2791","3","blue","N","0","3","de"

#
# CONDITIONS TABLE
#

#
# LABELSETS TABLE
#

#
# LABELS TABLE
#

#
# QUESTION_ATTRIBUTES TABLE
#
"qaid","qid","attribute","value"
"1245","2791","min_answers","2"

#
# ASSESSMENTS TABLE
#

#
# SURVEYS_LANGUAGESETTINGS TABLE
#
"surveyls_survey_id","surveyls_language","surveyls_title","surveyls_description","surveyls_welcometext","surveyls_endtext","surveyls_url","surveyls_urldescription","surveyls_email_invite_subj","surveyls_email_invite","surveyls_email_remind_subj","surveyls_email_remind","surveyls_email_register_subj","surveyls_email_register","surveyls_email_confirm_subj","surveyls_email_confirm","surveyls_dateformat"
"56114","de","http://bugs.limesurvey.org/view.php?id=3645","","http://bugs.limesurvey.org/view.php?id=3645<br />","<br />","","","Einladung zur Teilnahme an einer Umfrage","Hallo {FIRSTNAME},\n\nHiermit möchten wir Sie zu einer Umfrage einladen.\n\nDer Titel der Umfrage ist \n'{SURVEYNAME}'\n\n'{SURVEYDESCRIPTION}'\n\nUm an dieser Umfrage teilzunehmen, klicken Sie bitte auf den unten stehenden Link.\n\nMit freundlichen Grüßen,\n\n{ADMINNAME} ({ADMINEMAIL})\n\n----------------------------------------------\nKlicken Sie hier um die Umfrage zu starten:\n{SURVEYURL}","Erinnerung an Teilnahme an einer Umfrage","Hallo {FIRSTNAME},\n\nVor kurzem haben wir Sie zu einer Umfrage eingeladen.\n\nZu unserem Bedauern haben wir bemerkt, dass Sie die Umfrage noch nicht ausgefüllt haben. Wir möchten Ihnen mitteilen, dass die Umfrage noch aktiv ist und würden uns freuen, wenn Sie teilnehmen könnten.\n\nDer Titel der Umfrage ist \n'{SURVEYNAME}'\n\n'{SURVEYDESCRIPTION}'\n\nUm an dieser Umfrage teilzunehmen, klicken Sie bitte auf den unten stehenden Link.\n\n Mit freundlichen Grüßen,\n\n{ADMINNAME} ({ADMINEMAIL})\n\n----------------------------------------------\nKlicken Sie hier um die Umfrage zu starten:\n{SURVEYURL}","Registrierungsbestätigung für Teilnahmeumfrage","Hallo {FIRSTNAME},\n\nSie (oder jemand, der Ihre Email benutzt hat) haben sich für eine Umfrage mit dem Titel {SURVEYNAME} angemeldet.\n\nUm an dieser Umfrage teilzunehmen, klicken Sie bitte auf den folgenden Link.\n\n{SURVEYURL}\n\nWenn Sie irgendwelche Fragen zu dieser Umfrage haben oder wenn Sie sich _nicht_ für diese Umfrage angemeldet haben und sie glauben, dass Ihnen diese Email irrtümlicherweise zugeschickt worden ist, kontaktieren Sie bitte {ADMINNAME} unter {ADMINEMAIL}.","Abschlussbestätigung einer Umfrage","Hallo {FIRSTNAME},\n\nVielen Dank für die Teilnahme an der Umfrage mit dem Titel {SURVEYNAME}. Ihre Antworten wurden bei uns gespeichert.\n\nWenn Sie irgendwelche Fragen zu dieser Email haben, kontaktieren Sie bitte {ADMINNAME} unter {ADMINEMAIL}.\n\nMit freundlichen Grüßen,\n\n{ADMINNAME}","1"

#
# QUOTA TABLE
#

#
# QUOTA_MEMBERS TABLE
#

#
# QUOTA_LANGUAGESETTINGS TABLE
#

limesurvey_survey_56114.csv (4,342 bytes)   
jcleeland

jcleeland

2009-09-08 05:33

reporter   ~09458

Resolved in rev 7599

Issue History

Date Modified Username Field Change
2009-09-04 00:06 jelo New Issue
2009-09-04 00:06 jelo Status new => assigned
2009-09-04 00:06 jelo Assigned To => user372
2009-09-04 00:06 jelo Build Number => 7561
2009-09-04 00:06 jelo Browser => Firefox
2009-09-04 00:06 jelo Database & DB-Version => MySQL 5.0.81
2009-09-04 00:06 jelo Operating System (Server) => CENTOS 4.8 i686
2009-09-04 00:06 jelo Webserver => Apache 1.3.41
2009-09-04 00:06 jelo PHP Version => 5.2.10
2009-09-04 21:55 user372 Relationship added related to 02999
2009-09-04 22:00 user372 Note Added: 09387
2009-09-04 22:00 user372 File Added: limesurvey_survey_56114.csv
2009-09-04 22:00 user372 Assigned To user372 => lemeur
2009-09-05 14:25 lemeur Assigned To lemeur => jcleeland
2009-09-08 05:33 jcleeland Note Added: 09458
2009-09-08 05:33 jcleeland Status assigned => resolved
2009-09-08 05:33 jcleeland Fixed in Version => 1.85+
2009-09-08 05:33 jcleeland Resolution open => fixed
2009-09-15 12:30 c_schmitz Status resolved => closed
2010-10-25 00:18 c_schmitz Category Survey at Runtime => Survey taking